	} //end of while(1)

	endTime=clock();
	float fps=totalFrames/(((float)(endTime-startTime))/(float)CLOCKS_PER_SEC);
	console.close();
	delete surface;
	delete src_area;
	delete dst_area;
	delete segments;
